Bug 1260911 - Review Request: pixz - Parallel indexed xz compressor
Review Request: pixz - Parallel indexed xz compressor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 04:15 EDT by Christopher Meng
Modified: 2015-09-20 10:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: pixz-1.0.4-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-20 10:26:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2015-09-08 04:15:32 EDT
Spec URL: http://cicku.me/pixz.spec
SRPM URL: http://cicku.me/pixz-1.0.3-1.fc24.src.rpm
Description: Pixz (pronounced pixie) is a parallel, indexing version of xz.

** pixz vs xz

The existing XZ Utils provide great compression in the .xz file format, but they produce just one big block of compressed data. Pixz instead produces a collection of smaller blocks which makes random access to the original data possible. This is especially useful for large tarballs.

** Differences to xz

* Automatically indexes tarballs during compression.
* Supports parallel decompression, which xz does not.
* Defaults to using all available CPU cores, while xz defaults to using only one core.
* Provides -i and -o command line options to specify input and output file.
Fedora Account System Username: cicku
Comment 1 Lubomir Rintel 2015-09-17 07:19:48 EDT
* Named correctly
* Packaging latest version
* License tag correct
* License good for fedora
* Filelist sane
* Requires/Provides good
* Builds fine in mock
* SPEC file clean and legible
* rpmlint reasonably happy

APPROVED
Comment 2 Christopher Meng 2015-09-17 08:10:27 EDT
New Package SCM Request
=======================
Package Name: pixz
Short Description: Parallel indexed xz compressor
Upstream URL: https://github.com/vasi/pixz/
Owners: cicku
Branches: f23 f22
Comment 3 Gwyn Ciesla 2015-09-17 08:56:13 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.